summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDane Smith <smitdane@gmail.com>2010-08-26 15:43:08 -0400
committerDane Smith <smitdane@gmail.com>2010-08-26 15:43:08 -0400
commitbc1b477d30822470e9519de09552ff105548e81c (patch)
treed3134cc887a1e59c18b9b0a9067cf26c08ade5c2 /net-misc/netpipe/netpipe-1.0.0_beta2.ebuild
parentCleaned up and hopefully done (diff)
downloadsmithdanea-bc1b477d30822470e9519de09552ff105548e81c.tar.gz
smithdanea-bc1b477d30822470e9519de09552ff105548e81c.tar.bz2
smithdanea-bc1b477d30822470e9519de09552ff105548e81c.zip
Updated netpipe
Diffstat (limited to 'net-misc/netpipe/netpipe-1.0.0_beta2.ebuild')
-rw-r--r--net-misc/netpipe/netpipe-1.0.0_beta2.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/net-misc/netpipe/netpipe-1.0.0_beta2.ebuild b/net-misc/netpipe/netpipe-1.0.0_beta2.ebuild
new file mode 100644
index 0000000..8d63b42
--- /dev/null
+++ b/net-misc/netpipe/netpipe-1.0.0_beta2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/netpipe/netpipe-1.0.0_beta2.ebuild,v 1.9 2007/09/29 12:56:05 coldwind Exp $
+
+inherit toolchain-funcs
+
+DESCRIPTION="tool to reliably distribute binary data using UDP broadcasting techniques"
+HOMEPAGE="http://www.wudika.de/~jan/netpipe/"
+SRC_URI="http://www.wudika.de/~jan/netpipe/${PN}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="ppc x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e "s:^OPT=.*:OPT = ${CFLAGS} ${LDFLAGS}:" \
+ -e "s:^CC=.*:CC = $(tc-getCC):" \
+ Makefile
+}
+
+src_install() {
+ dobin netpipe || die "dobin failed"
+ dodoc DOCUMENTATION INSTALL TECH-NOTES
+}